// (CVN) - Candy Valley Network GmbH

#pragma once

#include <CoreMinimal.h>

// EXTERNAL INCLUDES

// INTERNAL INCLUDES
#include "Adapters/LovenseConnectAdapterBase.h"


/**
 * @brief Adapter representing the Lovense Connect pc app.
 */
class LovenseConnectDesktopAdapter : public LovenseConnectAdapterBase {
public:
	LovenseConnectDesktopAdapter();

protected:
	virtual FHttpRequestPtr CreateHTTPRequest_GetToys() override;
	virtual FHttpRequestPtr CreateHTTPRequest_SendCommand(const FString& command) override;
};
